# AITileList_IndustryAccepting Class Reference
[Classes that create a list of items.]

Creates a list of tiles that will accept cargo for the given industry. More...

`#include <ai_tilelist.hpp>`

Inheritance diagram for AITileList_IndustryAccepting:

## Public Member Functions

| AITileList_IndustryAccepting (IndustryID industry_id, int radius)

## Static Public Member Functions

static const char * | GetClassName ()

## Detailed Description

Creates a list of tiles that will accept cargo for the given industry.

Note:
  If a simular industry is close, it might happen that this industry receives the cargo.

Definition at line 67 of file ai_tilelist.hpp.

## Constructor & Destructor Documentation

AITileList_IndustryAccepting::AITileList_IndustryAccepting | ( | IndustryID | industry_id,
|  | int | radius |
| ) |  |  |

Parameters:

  | industry_id | The industry to create the AITileList around.
  | radius | The radius of the station you will be using.

Precondition:
  AIIndustry::IsValidIndustry(industry_id).

  radius > 0.

Definition at line 71 of file ai_tilelist.cpp.

References _settings_game, Industry::accepts_cargo, AITileList::AddTile(), BEGIN_TILE_LOOP, CA_UNMODIFIED, END_TILE_LOOP, GetAcceptanceAroundTiles(), GetIndustryIndex(), Industry::height, IsTileType(), AIIndustry::IsValidIndustry(), IsValidTile(), lengthof, StationSettings::modified_catchment, MP_INDUSTRY, GameSettings::station, TileDiffXY(), Industry::width, and Industry::xy.

The documentation for this class was generated from the following files:

- src/ai/api/ai_tilelist.hpp
- src/ai/api/ai_tilelist.cpp